#
# spec file for package python-lazy_object_proxy
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-lazy_object_proxy
Version:        1.2.1
Release:        1.1
Url:            https://github.com/ionelmc/python-lazy-object-proxy
Summary:        Rebuild a new abstract syntax tree from Python's ast
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Source:         https://pypi.python.org/packages/source/l/lazy-object-proxy/lazy-object-proxy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-six
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
A fast and thorough lazy object proxy.

%prep
%setup -n lazy-object-proxy-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root="%{buildroot}"

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst LICENSE README.rst docs
%{python_sitearch}/*

%changelog
* Tue Feb 23 2016 bwiedemann@suse.com
- fix license string
* Wed Feb 10 2016 michael@stroeder.com
- initial packaging of upstream release 1.2.1
